#ifndef _XHANABI_AfterImage_h_INCLUDED_
#define _XHANABI_AfterImage_h_INCLUDED_

#include "etc.h"
#include "Obj.h"
#include "GCObj.h"
#include "Disp.h"

typedef struct _AfterImages * AfterImages;

int AfterImages_GetNumber(AfterImages after_images);
XArc * AfterImages_GetArcs(AfterImages after_images);
GCObj AfterImages_GetGCObj(AfterImages after_images);
GC AfterImages_GetGC(AfterImages after_images);
AfterImages AfterImages_Create(int r, int number, double * x, double * y,
			       int x_min, int y_min, int x_max, int y_max,
			       ObjList gc_list);
AfterImages AfterImages_Destroy(AfterImages after_images);
int AfterImages_IsEnd(AfterImages after_images);
int AfterImages_MoveNext(AfterImages after_images);

#endif

/* End of File */
