#ifndef _XHANABI_Disp_h_INCLUDED_
#define _XHANABI_Disp_h_INCLUDED_

#include <X11/Xlib.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/Xatom.h>
#include <X11/keysym.h>
#include <X11/xpm.h>

#include "etc.h"

typedef struct _Disp * Disp; /* Display 饹 */

unsigned long int Disp_GetPixel(Disp disp, char * color_name);
Display * Disp_GetDisplay(Disp disp);
Window Disp_GetWindow(Disp disp);
int Disp_GetWidth( Disp disp);
int Disp_GetHeight(Disp disp);

Disp Disp_Create(char * display_name, char * background_color);
Disp Disp_Destroy(Disp disp);
int Disp_Flush(Disp disp);
int Disp_Clear(Disp disp);
int Disp_DrawFilledCircle(Disp disp, GC gc, int x, int y, int r);
int Disp_DrawFilledCircles(Disp disp, GC gc, XArc * arcs, int n);

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif /* _XHANABI_Disp_h_INCLUDED_ */

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
