#ifndef _XHANABI_GCObj_h_INCLUDED_
#define _XHANABI_GCObj_h_INCLUDED_

typedef struct _GCObj * GCObj;

#include "Disp.h"
#include "RGBColor.h"

GCObj GCObj_Create(Disp disp);
GCObj GCObj_Destroy(GCObj gc_obj);
GC GCObj_GetGC(GCObj gc_obj);
int GCObj_SetColor(GCObj gc_obj, unsigned long int color);
int GCObj_SetColorByName(GCObj gc_obj, char * color_name);
int GCObj_SetColorByRGBColor(GCObj gc_obj, RGBColor rgb_color);
ObjList GCObj_CreateGCObjList(Disp disp, char * color_change,
			      int after_image_length);

#endif

/* End of File */
